import * as types from "../actionTypes/actionTypes";
import { writeLocalStorage } from "../actions/login";

const initialState = {
    user: {},
    showProfile: false
}

export default (state = initialState, action) => {
    switch (action.type) {
        case types.POST_REQUEST_LOGIN: {
            return state;
        }

        case types.POST_REQUEST_SUCCESS_LOGIN: {
            writeLocalStorage(action.payload.user);
            
            return {
                ...state,
                user: action.payload.user,
				showProfile: true
            };
        }

        case types.POST_REQUEST_ERROR_LOGIN: {
            console.log('error', action.payload.message);
            return state;
        }

        default:
            return state;
    }
}